List all non-archived apps
const url = 'https://app.everruns.com/api/v1/apps';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/appsParameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Search by name or description (case-insensitive substring match).
Include archived apps. Deleted apps never appear in lists.
Responses
Section titled “ Responses ”List of apps
Response wrapper for list endpoints.
All list endpoints return responses wrapped in a data field.
object
Array of items returned by the list operation.
Wrapper that adds API and UI links to a serialized resource.
Uses self_url (not url) for the API link to avoid collision with
resources that already have a url field (e.g. McpServer).
object
Optional ID of the agent to use (format: agent_{32-hex}).
Optional virtual identity that represents the app in unattended/channel execution.
Pinned agent version. Required when policy is pinned.
Version resolution policy for the optional agent.
Timestamp when the app was archived.
Distribution channels attached to this app.
A single distribution channel attached to an App. Each channel has its own type, config, and lifecycle status.
object
Channel-specific configuration (validated per channel type).
Channel type (e.g. slack).
Timestamp when this channel was created.
Whether this channel is enabled.
External identifier (appchan_<32-hex>). Shown as “id” in API.
Timestamp when this channel was last updated.
Timestamp when the app was created.
Timestamp when the app was deleted.
Human-readable description of what the app does.
ID of the harness to use (format: harness_{32-hex}).
External identifier (app_<32-hex>). Shown as “id” in API.
Display name of the app.
Owning principal for this app.
Timestamp when the app was last published.
Denormalized effective human owner of the owning principal lineage.
Current lifecycle status.
Timestamp when the app was last updated.
Full API endpoint URL for this resource.
Alias for view_url, used by command and MCP outputs.
Full UI URL for viewing this resource.
Example
{ "data": [ { "agent_id": "agent_01933b5a00007000800000000000001", "agent_identity_id": "identity_01933b5a00007000800000000000001", "agent_version_id": "agentver_01933b5a00007000800000000000001", "agent_version_policy": "default", "channels": [ { "channel_type": "slack", "id": "appchan_01933b5a000070008000000000000001" } ], "effective_owner": { "id": "principal_01933b5a000070008000000000000001", "kind": "user" }, "harness_id": "harness_01933b5a00007000800000000000001", "id": "app_01933b5a000070008000000000000001", "owner": { "id": "principal_01933b5a000070008000000000000001", "kind": "user" }, "owner_principal_id": "principal_01933b5a000070008000000000000001", "status": "draft" } ]}Internal server error